<?php

// Check platform
//
if (atGetPlatform() == "postnuke" ||
	atGetPlatform() == "envolution" ||
	atGetPlatform() == "md-pro")
{
    // How to register an extra and the functions that it performs and when to perform them (at operation)
    //
    // $extra = array ( 'at operation' => "extra function" );
    //
    $extra['autourls'] = array (
           'name' => 'AutoURLs',
           'description' => 'Updated Short URLs implementation for AutoTheme',
           'version' => '3.0',
           'author' => 'CHTEKK',
           'contact' => 'chtekk@maxdev.com',
           'themepostprocess' => 'at_autourls_rewrite',
           'atadmin' => 'at_admin_autourls'
    );
}

// Extra functions
//
function at_autourls_rewrite($display) {

    $autourls = atAutoGetVar("autourls");

    if (!$autourlsext = pnConfigGetVar('short_urls_ext')) {
        $autourlsext = $autourls['extension'];
        if (!$autourlsext) {
            $autourlsext = "phtml";
        }
    }
    $base_url = pnGetBaseURL();
    $prefix = '|"(?:'.$base_url.')?';

    $search = array (
	$prefix . 'index.php\?newlang=([\w\d\.\:\_\/]+)"|',
	$prefix . 'index.php\?theme=([\w\d\.\:\_\/]+)"|',
	$prefix . 'index.php"|',
	$prefix . 'user.php"|',
	$prefix . 'index.php\?module=htmlp&(?:amp;)?func=display&(?:amp;)?pid=(\d+)"|',
	$prefix . 'index.php\?module=ppnews&(?:amp;)?choix=index"|',
	$prefix . 'index.php\?module=ppnews&(?:amp;)?choix=([\w\d\.\:\_\/]+)"|',
	$prefix . 'index.php\?module=My_eGallery&(?:amp;)?do=([\w\d\.\:\_\/]+)"|',
	$prefix . 'index.php\?module=My_eGallery&(?:amp;)?do=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)"|',
	$prefix . 'index.php\?module=My_eGallery&(?:amp;)?do=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)"|',
	$prefix . 'index.php\?module=My_eGallery&(?:amp;)?do=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=NS-User_Points&(?:amp;)?file=index"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=NS-Link_To_Us&(?:amp;)?file=index"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=NS-Polls&(?:amp;)?file=index"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=NS-Polls&(?:amp;)?file=index&(?:amp;)?pollID=(\d+)"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=NS-Polls&(?:amp;)?file=index&(?:amp;)?pollID=(\d+)&(?:amp;)?mode=(\w+)&(?:amp;)?order=(\d+)&(?:amp;)?thold=(\d+)"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=NS-Polls&(?:amp;)?file=index&(?:amp;)?req=(\w+)&(?:amp;)?pollID=(\d+)"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=NS-Polls&(?:amp;)?file=index&(?:amp;)?req=(\w+)&(?:amp;)?pollID=(\d+)&(?:amp;)?mode=(\w+)&(?:amp;)?order=(\d+)&(?:amp;)?thold=(\d+)"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=Messages&(?:amp;)?file=outbox"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=Messages&(?:amp;)?file=index"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=Search&(?:amp;)?file=index&(?:amp;)?action=search&(?:amp;)?overview=1&(?:amp;)?active_stories=1&(?:amp;)?stories_author=([\w\d\.\:\_\/]+)"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=Search&(?:amp;)?file=index&(?:amp;)?action=search&(?:amp;)?overview=1&(?:amp;)?active_stories=1&(?:amp;)?stories_topics\[0\]=([\w\d\.\:\_\/]+)"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=Search&(?:amp;)?file=index&(?:amp;)?action=search&(?:amp;)?active_stories=1&(?:amp;)?stories_author=([\w\d\.\:\_\/]+)"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=Search&(?:amp;)?file=index&(?:amp;)?action=search&(?:amp;)?active_stories=1&(?:amp;)?stories_topics\[0\]=([\w\d\.\:\_\/]+)"|',
	$prefix . 'index.php\?module=daily_archive&(?:amp;)?func=([\w\d\.\:\_\/]+)"|',
	$prefix . 'index.php\?module=daily_archive&(?:amp;)?func=display&(?:amp;)?req=get&(?:amp;)?year=([\w\d\.\:\_\/]+)&(?:amp;)?month=([\w\d\.\:\_\/]+)"|',
	$prefix . 'index.php\?module=daily_archive&(?:amp;)?func=display&(?:amp;)?req=get&(?:amp;)?year=([\w\d\.\:\_\/]+)&(?:amp;)?month=([\w\d\.\:\_\/]+)&(?:amp;)?day=([\w\d\.\:\_\/]+)"|',
	$prefix . 'index.php\?module=daily_archive&(?:amp;)?func=display&(?:amp;)?req=get&(?:amp;)?year=([\w\d\.\:\_\/]+)&(?:amp;)?month=([\w\d\.\:\_\/]+)&(?:amp;)?day=([\w\d\.\:\_\/]+)&(?:amp;)?page=([\w\d\.\:\_\/]+)"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=News&(?:amp;)?file=index&(?:amp;)?catid=&(?:amp;)?topic=&(?:amp;)?startrow=(\d{1,2})"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=News&(?:amp;)?file=index&(?:amp;)?catid=&(?:amp;)?topic=(\d{1,2})&(?:amp;)?startrow=(\d{1,2})"|',
	$prefix . 'index.php\?module=PostCalendar&(?:amp;)?func=view&(?:amp;)?Date=(\d{4})(\d{2})(\d{2})(?:&(?:amp;)?tplview=)?&(?:amp;)?viewtype=details&(?:amp;)?eid=(\d+)&(?:amp;)?print="|',
	$prefix . 'index.php\?module=PostCalendar&(?:amp;)?func=view&(?:amp;)?tplview=default&(?:amp;)?viewtype=month&(?:amp;)?Date=(\d{4})(\d{2})(\d{2})"|',
	$prefix . 'index.php\?module=PostCalendar&(?:amp;)?func=view&(?:amp;)?tplview=(\w+)&(?:amp;)?viewtype=(\w+)&(?:amp;)?Date=(\d{4})(\d{2})(\d{2})(?:&(?:amp;)?pc_username=)?(?:&(?:amp;)?pc_category=)?(?:&(?:amp;)?pc_topic=)?(?:&(?:amp;)?print=)?"|',
	$prefix . 'index.php\?module=PostCalendar&(?:amp;)?func=view(?:&(?:amp;)?tplview=)?&(?:amp;)?viewtype=(\w+)&(?:amp;)?Date=(\d{4})(\d{2})(\d{2})(?:&(?:amp;)?pc_username=)?(?:&(?:amp;)?pc_category=)?(?:&(?:amp;)?pc_topic=)?(?:&(?:amp;)?print=)?"|',
	$prefix . 'index.php\?module=PostCalendar&(?:amp;)?func=(\w+[^&])"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=News&(?:amp;)?file=article&(?:amp;)?sid=(\d+)(?:&(?:amp;)?mode=thread&(?:amp;)?order=0&(?:amp;)?thold=0)?"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=News&(?:amp;)?file=article&(?:amp;)?sid=(\d+)&(?:amp;)?mode=([^&]+)&(?:amp;)?order=(\d)&(?:amp;)?thold=([-\d]{1,2})"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=Recommend_Us&(?:amp;)?file=index&(?:amp;)?req=FriendSend&(?:amp;)?sid=(\d+)"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=Sections&(?:amp;)?file=index&(?:amp;)?req=listarticles&(?:amp;)?secid=(\d+)"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=Sections&(?:amp;)?file=index&(?:amp;)?req=viewarticle&(?:amp;)?artid=(\d+)(?:&(?:amp;)?page=(\d*))?"|',
	$prefix . 'print.php\?sid=(\d+)"|',
	$prefix . 'index.php\?(?:&(?:amp;)?)?catid=(\d+)"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=News&(?:amp;)?file=index&(?:amp;)?catid=(\d{1,2})(?:&(?:amp;)?topic=(\d{0,3}))?(?:&(?:amp;)?allstories=1)?"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=News&(?:amp;)?file=index(?:&(?:amp;)?catid=)?&(?:amp;)?topic=(\d{1,3})(?:&(?:amp;)?(all)stories=1)?"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=FAQ&(?:amp;)?file=index&(?:amp;)?myfaq=(\w+)&(?:amp;)?id_cat=(\d+)&(?:amp;)?categories=([^&-]+)&(?:amp;)?parent_id=(\d+)"|',
	$prefix . 'index.php\?name=PNphpBB2"|',
	$prefix . 'index.php\?name=PNphpBB2&(?:amp;)?file=index"|',
	$prefix . 'index.php\?name=PNphpBB2&(?:amp;)?file=([\w\d\.\:\_\/]+)"|',
	$prefix . 'index.php\?name=PNphpBB2&(?:amp;)?file=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)"|',
	$prefix . 'index.php\?name=PNphpBB2&(?:amp;)?file=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)"|',
	$prefix . 'index.php\?name=PNphpBB2&(?:amp;)?file=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)"|',
	$prefix . 'index.php\?name=PNphpBB2&(?:amp;)?file=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)"|',
	$prefix . 'user.php\?op=userinfo&(?:amp;)?uname=([\w\d\.\:\_\/]+)"|',
	$prefix . 'user.php\?op=register&(?:amp;)?module=NS-NewUser"|',
	$prefix . 'user.php\?op=check_age&(?:amp;)?module=NS-NewUser"|',
	$prefix . 'user.php\?op=loginscreen&(?:amp;)?module=NS-User"|',
	$prefix . 'user.php\?op=lostpassscreen&(?:amp;)?module=NS-LostPassword"|',
	$prefix . 'user.php\?module=NS-User&(?:amp;)?op=logout"|',
	$prefix . 'index.php\?name=([\w\d\.\:\_\/]+)"|',
	$prefix . 'index.php\?name=([\w\d\.\:\_\/]+)&(?:amp;)?file=index"|',
	$prefix . 'index.php\?name=([\w\d\.\:\_\/]+)&(?:amp;)?file=([\w\d\.\:\_\/]+)"|',
	$prefix . 'index.php\?name=([\w\d\.\:\_\/]+)&(?:amp;)?file=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)"|',
	$prefix . 'index.php\?name=([\w\d\.\:\_\/]+)&(?:amp;)?file=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)"|',
	$prefix . 'index.php\?name=([\w\d\.\:\_\/]+)&(?:amp;)?file=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)"|',
	$prefix . 'index.php\?name=([\w\d\.\:\_\/]+)&(?:amp;)?file=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)"|',
	$prefix . 'index.php\?module=([\w\d\.\:\_\/]+)"|',
	$prefix . 'index.php\?module=([\w\d\.\:\_\/]+)&(?:amp;)?func=main"|',
	$prefix . 'index.php\?module=([\w\d\.\:\_\/]+)&(?:amp;)?func=([\w\d\.\:\_\/]+)"|',
	$prefix . 'index.php\?module=([\w\d\.\:\_\/]+)&(?:amp;)?func=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)"|',
	$prefix . 'index.php\?module=([\w\d\.\:\_\/]+)&(?:amp;)?func=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)"|',
	$prefix . 'index.php\?module=([\w\d\.\:\_\/]+)&(?:amp;)?func=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)"|',
	$prefix . 'index.php\?module=([\w\d\.\:\_\/]+)&(?:amp;)?func=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=([\w\d\.\:\_\/]+)&(?:amp;)?file=index&(?:amp;)?req=([\w\d\.\:\_\/]+)"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=([\w\d\.\:\_\/]+)&(?:amp;)?file=index"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=([\w\d\.\:\_\/]+)&(?:amp;)?file=([\w\d\.\:\_\/]+)"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=([\w\d\.\:\_\/]+)&(?:amp;)?file=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=([\w\d\.\:\_\/]+)&(?:amp;)?file=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=([\w\d\.\:\_\/]+)&(?:amp;)?file=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)"|',
	$prefix . 'modules.php\?op=modload&(?:amp;)?name=([\w\d\.\:\_\/]+)&(?:amp;)?file=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)&(?:amp;)?([\w\d\.\:\_\/]+)=([\w\d\.\:\_\/]+)"|'
    );

    $replace = array (
	'"changelang-$1.'.$autourlsext.'"',
	'"changetheme-$1.'.$autourlsext.'"',
	'"index.'.$autourlsext.'"',
	'"user.'.$autourlsext.'"',
	'"htmlp-$1.'.$autourlsext.'"',
	'"ppnews-index.'.$autourlsext.'"',
	'"ppnews-$1.'.$autourlsext.'"',
	'"MeG-$1.'.$autourlsext.'"',
	'"MeG-$1-$2-$3.'.$autourlsext.'"',
	'"MeG-$1-$2-$3-$4-$5.'.$autourlsext.'"',
	'"MeG-$1-$2-$3-$4-$5-$6-$7.'.$autourlsext.'"',
	'"User_Points.'.$autourlsext.'"',
	'"Link_To_Us.'.$autourlsext.'"',
	'"Polls.'.$autourlsext.'"',
	'"Poll-$1.'.$autourlsext.'"',
	'"Poll-$1-$2-$3-$4.'.$autourlsext.'"',
	'"Poll-req-$1-$2.'.$autourlsext.'"',
	'"Poll-req-$1-$2-$3-$4-$5.'.$autourlsext.'"',
	'"Messages-outbox.'.$autourlsext.'"',
	'"Messages-inbox.'.$autourlsext.'"',
	'"Search-author-$1.'.$autourlsext.'"',
	'"Search-topics-$1.'.$autourlsext.'"',
	'"Search-author-$1-no.'.$autourlsext.'"',
	'"Search-topics-$1-no.'.$autourlsext.'"',
	'"daily_archive-$1.'.$autourlsext.'"',
	'"daily_archive-$1-$2.'.$autourlsext.'"',
	'"daily_archive-$1-$2-$3.'.$autourlsext.'"',
	'"daily_archive-$1-$2-$3-$4.'.$autourlsext.'"',
	'"News-hometopicmore-$1.'.$autourlsext.'"',
	'"News-topicmore-$1-$2.'.$autourlsext.'"',
	'"PostCalendar-$3-$2-$1-event-$4.'.$autourlsext.'"',
	'"PostCalendar-$3-$2-$1.'.$autourlsext.'"',
	'"PostCalendar-$5-$4-$3-$2-$1.'.$autourlsext.'"',
	'"PostCalendar-$4-$3-$2-$1.'.$autourlsext.'"',
	'"PostCalendar-$1.'.$autourlsext.'"',
	'"Article$1.'.$autourlsext.'"',
	'"Article$1-$2-order$3-threshold$4.'.$autourlsext.'"',
	'"SendArticle$1.'.$autourlsext.'"',
	'"Section-$1.'.$autourlsext.'"',
	'"Sections-article$1-p$2.'.$autourlsext.'"',
	'"PrintArticle$1.'.$autourlsext.'"',
	'"Category$1.'.$autourlsext.'"',
	'"Category$1-All.'.$autourlsext.'"',
	'"Topic$1$2.'.$autourlsext.'"',
	'"FAQ-Category$2-$3-Parent$4-myfaq-$1.'.$autourlsext.'"',
	'"PNphpBB2.'.$autourlsext.'"',
	'"PNphpBB2.'.$autourlsext.'"',
	'"PNphpBB2-$1.'.$autourlsext.'"',
	'"PNphpBB2-$1-$2-$3.'.$autourlsext.'"',
	'"PNphpBB2-$1-$2-$3-$4-$5.'.$autourlsext.'"',
	'"PNphpBB2-$1-$2-$3-$4-$5-$6-$7.'.$autourlsext.'"',
	'"PNphpBB2-$1-$2-$3-$4-$5-$6-$7-$8-$9.'.$autourlsext.'"',
	'"UserInfo-$1.'.$autourlsext.'"',
	'"UserReg.'.$autourlsext.'"',
	'"UserReg-CheckAge.'.$autourlsext.'"',
	'"User-Login.'.$autourlsext.'"',
	'"User-LostPassword.'.$autourlsext.'"',
	'"User-Logout.'.$autourlsext.'"',
	'"name-$1.'.$autourlsext.'"',
	'"name-$1.'.$autourlsext.'"',
	'"name-$1-$2.'.$autourlsext.'"',
	'"name-$1-$2-$3-$4.'.$autourlsext.'"',
	'"name-$1-$2-$3-$4-$5-$6.'.$autourlsext.'"',
	'"name-$1-$2-$3-$4-$5-$6-$7-$8.'.$autourlsext.'"',
	'"name-$1-$2-$3-$4-$5-$6-$7-$8-$9-$10.'.$autourlsext.'"',
	'"mod-$1.'.$autourlsext.'"',
	'"mod-$1.'.$autourlsext.'"',
	'"mod-$1-$2.'.$autourlsext.'"',
	'"mod-$1-$2-$3-$4.'.$autourlsext.'"',
	'"mod-$1-$2-$3-$4-$5-$6.'.$autourlsext.'"',
	'"mod-$1-$2-$3-$4-$5-$6-$7-$8.'.$autourlsext.'"',
	'"mod-$1-$2-$3-$4-$5-$6-$7-$8-$9-$10.'.$autourlsext.'"',
	'"$1+$2.'.$autourlsext.'"',
	'"$1.'.$autourlsext.'"',
	'"$1-$2.'.$autourlsext.'"',
	'"$1-$2-$3-$4.'.$autourlsext.'"',
	'"$1-$2-$3-$4-$5-$6.'.$autourlsext.'"',
	'"$1-$2-$3-$4-$5-$6-$7-$8.'.$autourlsext.'"',
	'"$1-$2-$3-$4-$5-$6-$7-$8-$9-$10.'.$autourlsext.'"'
    );

    $display = preg_replace($search, $replace, $display);

    return $display;
}

function at_admin_autourls($autourls)
{
    extract($autourls);

    if (!$extension) {
        $extension = "phtml";
    }
    $output = _AT_EXTENSION." .<input type=\"text\" name=\"extension\" value=\"$extension\">\n";

return $output;
}
?>